Subject: [rohc] Minor clarifications for Implementer's guide?

From: "Ghyslain Pelletier (LU/EAB)" <[email-masked]>
Date: Fri, 2 Sep 2005 16:15:35 +0200

Folks,

I'm scrutinizing 3095 somewhat closer nowadays, as I am looking into how a possible update to the 3095 profiles could look like.

Could we add to the implementer's guide this tiny clarification:

   Type 1 and Type 3 list cannot be sent using a ref_id
   that refers to an empty list.

The reason for this is that while it would be quite:
o pointless to send Type 3 over en empty list
o fair to send Type 1 over an empty list, but with
  no gains compared to using type 0
o a failure to send Type 2 over an empty list

3095 is written so that this is still possible, as far as I can interpret the specification, and I think that it makes it simpler to simply outlaw this.

/Ghyslain

--
 Ghyslain Pelletier, Dipl. Ing.
 Wireless IP Optimizations
 Ericsson Research, Corporate Unit

 Ericsson AB, Laboratoriegränd 11
 Box 920, S-97128 Luleå, SWEDEN
 Phone : +46 (0)  8 404 29 43
 Mobile: +46 (0) 70 264 83 14
 Ghyslain.Pelletier at ericsson.com
 http://www.ericsson.com

-----------------------------------
 The opinions expressed in this
 message are my personal opinions.
 These opinions are not
 necessarily those of my employer,
 unless stated otherwise.
-----------------------------------

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Wed, 7 Sep 2005 17:35:50 +0200

Ok, looks good, what about adding the following to the impl. guide?

-------------------------------------------------------------

Section 5.9.  Reference list

A list compressed using encoding type 1 (insertion), type 2 (removal)
or type 3 (removal/insertion) uses a coding scheme that is based on
the use of a reference list in the context (identified as ref_id).

It is noted that while it could seem a fair choice to send a type 1
list when ref_id is an empty list, there is no gain in doing so
with respect to using a type 0 list. Sending a type 2 list when
ref_id is an empty list would lead to a failure, while sending a
type 3 list has very little meaning. All these alternatives are
currently possible with how list compression is specified in RFC 3095.

Because of this, a decompressor becomes required to maintain a sliding
window of ref_id lists in R-mode even for the case where no items are
sent as compressed list. To avoid this, the sending of type 1, 2 and 3
compressed list using an empty reference list should thus be disallowed.

More specifically, when the compressor uses list encoding of type 1,
type and type 3, the ref_id used must refer to a non-empty reference
list.

-------------------------------------------------------------

/L-E

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Ghyslain Pelletier (LU/EAB)
> Sent: den 2 september 2005 16:16
> To: [email-masked]
> Subject: [rohc] Minor clarifications for Implementer's guide?
> 
> 
> Folks,
> 
> I'm scrutinizing 3095 somewhat closer nowadays, as I am 
> looking into how a possible update to the 3095 profiles could 
> look like.
> 
> 3095 is written so that this is still possible, as far as I 
> can interpret the specification, and I think that it makes it 
> simpler to simply outlaw this.
> 
> /Ghyslain
> 
> --

---

From: "Ghyslain Pelletier (LU/EAB)" <[email-masked]>
Date: Thu, 8 Sep 2005 09:07:03 +0200

> type and type 3, the ref_id used must refer to a non-empty reference
------^

> list.

There is a "2" after the word "type" that somehow succeeded disapearing.

Otherwise I think that the text clarifies the issue properly, especially the last sentence.

/Ghyslain

---

From: "Ghyslain Pelletier (LU/EAB)" <[email-masked]>
Date: Thu, 8 Sep 2005 12:40:03 +0200

Actually, how about the following (there's only minor changes):

/Ghyslain

Because of this, a decompressor becomes required to maintain a sliding
window of ref_id lists in R-mode even for the case where no items are
sent as compressed list. To avoid this, the sending of type 1, 2 and 3
compressed list using an empty reference list should thus be 
disallowed. Therefore empty lists are not needed to be stored in the 
sliding window in the decompressor.

More specifically, when the compressor uses list encoding of type 1,
type and type 3, the ref_id used must refer to a non-empty reference
list, regardless of the operating mode.

> From: Lars-Erik Jonsson (LU/EAB) 
> Sent: den 7 september 2005 17:36
> To: Ghyslain Pelletier (LU/EAB); [email-masked]
> Subject: RE: [rohc] Minor clarifications for Implementer's guide?
> 
> 
> > From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of

---

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Fri, 16 Sep 2005 13:37:10 +0200

Looks good, with the insertion of "2" as you pointed out before.

I've updated the draft with this section!

/L-E

> From: Ghyslain Pelletier (LU/EAB) 
> Sent: den 8 september 2005 12:40
> To: Lars-Erik Jonsson (LU/EAB); [email-masked]
> > disallowed.